Bug 975599 - enabling cluster.nufa on the fly does not change client side graph
enabling cluster.nufa on the fly does not change client side graph
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nufa (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks: 990961
  Show dependency treegraph
 
Reported: 2013-06-18 17:38 EDT by Anand Avati
Modified: 2015-09-01 19:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 990961 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:29:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2013-06-18 17:38:57 EDT
Description of problem:

After enabling cluster.nufa on the volume, mounted clients continue to use cluster/distribute translator. On-disk volfile in /var/lib/glusterd is updated to cluster/nufa. New clients which are mounted freshly do use cluster/nufa. However clients which are already mounted get this in the logfile:

[2013-06-18 21:31:37.367456] I [glusterfsd-mgmt.c:64:mgmt_cbk_spec] 0-mgmt: Volume file changed
[2013-06-18 21:31:37.369219] I [io-cache.c:1549:check_cache_size_ok] 0-HadoopVol-io-cache: Max cache size is 50595778560
[2013-06-18 21:31:37.369281] I [glusterfsd-mgmt.c:1568:mgmt_getspec_cbk] 0-glusterfs: No change in volfile, continuing
Comment 1 Anand Avati 2013-06-21 02:51:23 EDT
REVIEW: http://review.gluster.org/5244 (glusterfsd: consider xlator type too in topology check) posted (#1) for review on master by Anand Avati (avati@redhat.com)
Comment 2 Anand Avati 2013-06-21 05:40:41 EDT
COMMIT: http://review.gluster.org/5244 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4cde70a0e5be0a5e49e42c48365f3c0b205f9741
Author: Anand Avati <avati@redhat.com>
Date:   Mon Jun 17 06:19:47 2013 -0700

    glusterfsd: consider xlator type too in topology check
    
    When cluster.nufa option is enabled, we only change the translator
    type, but leave the translator name as-is. This results in the
    topology change check to conclude that a graph switch is not needed.
    
    Change-Id: I4f4d0cec2bd4796c95274f0328584a4e7b8b5cd3
    BUG: 975599
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/5244
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.